Package org.eclipse.ecf.core.util

# Class AbstractFactory

java.lang.Object
org.eclipse.ecf.core.util.AbstractFactory

public class AbstractFactory extends Object

## Constructor Summary

Constructors
Constructor
Description
`AbstractFactory()`

## Method Summary

Modifier and Type
Method
Description
`static Class[]`
`getClassesForTypes(String[] argTypes, Object[] args, ClassLoader cl)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractFactory

public AbstractFactory()

## Method Details

### getClassesForTypes

public static Class[] getClassesForTypes(String[] argTypes, Object[] args, ClassLoader cl) throws ClassNotFoundException

Throws:
  `ClassNotFoundException`